Bug 1712889 - Capsule certification generation command was failing due to the absence of certs-update-all parameter.
Summary: Capsule certification generation command was failing due to the absence of ce...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Installer
Version: 6.6.0
Hardware: x86_64
OS: Linux
unspecified
high vote
Target Milestone: 6.6.0
Assignee: Evgeni Golov
QA Contact: Devendra Singh
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-22 12:28 UTC by Devendra Singh
Modified: 2019-10-22 12:47 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-22 12:47:30 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 26623 None None None 2019-05-22 12:41:43 UTC
Red Hat Product Errata RHSA-2019:3172 None None None 2019-10-22 12:47:40 UTC

Description Devendra Singh 2019-05-22 12:28:39 UTC
Description of problem: Capsule certification generation command was failing due to the absence of "certs-update-all" parameter.

Version-Release number of selected component (if applicable):
6.6.0

How reproducible: always


Steps to Reproduce:
1. Execute "capsule-certs-generate -v --foreman-proxy-fqdn qe-capsule-upgrade-xyz.redhat.com --certs-tar xyz.redhat.com-certs.tar --certs-update-all"

Actual results:

[x.com] run: capsule-certs-generate -v --foreman-proxy-fqdn qe-capsule-upgrade-rhel7.capqe.lab.eng.rdu2.redhat.com --certs-tar qe-capsule-upgrade-rhel7.capqe.lab.eng.rdu2.redhat.com-certs.tar --certs-update-all
[x.com] out: ERROR: Unrecognised option '--certs-update-all'

Expected results:
"certs-update-all" parameters should be part of capsule-certs-generate.

Additional info:
In 6.4 and 6.5 release "certs-update-all" parameter be a part of "capsule-certs-generate" command.

Comment 3 Bryan Kearney 2019-05-22 14:01:50 UTC
Upstream bug assigned to egolov@redhat.com

Comment 4 Bryan Kearney 2019-05-22 14:01:51 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/26623 has been resolved.

Comment 5 Devendra Singh 2019-06-13 07:15:19 UTC
This bug has been successfully verified in Satellite 6.6.0 Snap7.

Capsule cert generate command get successfully executed with "certs-update-all" parameter

"""
capsule-certs-generate -v --foreman-proxy-fqdn XYZ.redhat.com --certs-tar XYZ.redhat.com-certs.tar --certs-update-all
Executing hooks in group pre_migrations
 All hooks in group pre_migrations finished
 Executing hooks in group boot
 All hooks in group boot finished
 Executing hooks in group init
 All hooks in group init finished
 Loading default values from puppet modules...
 ... finished
 Executing hooks in group pre_values
 All hooks in group pre_values finished
 Running installer with args [["-v", "--foreman-proxy-fqdn", "XYZ.redhat.com", "--certs-tar", "XYZ.redhat.com-certs.tar", "--certs-update-all"]]
 Executing hooks in group pre_validations
 All hooks in group pre_validations finished
 Running validation checks
 Executing hooks in group pre_commit
 All hooks in group pre_commit finished
 Executing hooks in group pre
 Marking certificate /root/ssl-build/XYZ.redhat.com/XYZ.redhat.com-apache for update
 Marking certificate /root/ssl-build/XYZ.redhat.com/XYZ.redhat.com-qpid-client-cert for update
 Marking certificate /root/ssl-build/XYZ.redhat.com/XYZ.redhat.com-puppet-client for update
 Marking certificate /root/ssl-build/XYZ.redhat.com/XYZ.redhat.com-foreman-proxy for update
 Marking certificate /root/ssl-build/XYZ.redhat.com/XYZ.redhat.com-qpid-broker for update
 Marking certificate /root/ssl-build/XYZ.redhat.com/XYZ.redhat.com-foreman-client for update
 Marking certificate /root/ssl-build/XYZ.redhat.com/XYZ.redhat.com-qpid-router-client for update
 Marking certificate /root/ssl-build/XYZ.redhat.com/XYZ.redhat.com-qpid-router-server for update
 Marking certificate /root/ssl-build/XYZ.redhat.com/XYZ.redhat.com-foreman-proxy-client for update
 All hooks in group pre finished
 /File[/tmp/kafo_hiera20190611-7823-1a5knfm/production]/ensure: created
 .....
 .....
 .....
 Class[Certs::Qpid_router]: Scheduling refresh of Certs::Tar_create[/root/XYZ.redhat.com-certs.tar]
  /Stage[main]/Certs::Qpid_client/Cert[XYZ.redhat.com-qpid-client-cert]/ensure: created
  Class[Certs::Qpid_client]: Scheduling refresh of Certs::Tar_create[/root/XYZ.redhat.com-certs.tar]
  Certs::Tar_create[/root/XYZ.redhat.com-certs.tar]: Scheduling refresh of Exec[generate /root/XYZ.redhat.com-certs.tar]
  /Stage[main]/Certs::Foreman_proxy_content/Certs::Tar_create[/root/XYZ.redhat.com-certs.tar]/Exec[generate /root/XYZ.redhat.com-certs.tar]/returns: executed successfully
  /Stage[main]/Certs::Foreman_proxy_content/Certs::Tar_create[/root/XYZ.redhat.com-certs.tar]/Exec[generate /root/XYZ.redhat.com-certs.tar]: Triggered 'refresh' from 1 event
  Applied catalog in 37.64 seconds
 Puppet has finished, bye!
 Executing hooks in group post
   Success!

"""

Comment 7 errata-xmlrpc 2019-10-22 12:47:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.